Create Memory Relation
Create or update a semantic relation from one memory to another.
Path Parameters
memory_id*Memory Id
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/memories/string/relations" \ -H "Content-Type: application/json" \ -d '{ "target_memory_id": "string", "relation_type": "string" }'{ "id": "string", "source_memory_id": "string", "source_title": "", "source_space_id": "string", "target_memory_id": "string", "target_title": "", "target_space_id": "string", "relation_type": "string", "strength": 0, "confidence": 0, "bidirectional": false, "status": "active", "reviewed": true, "source": "string", "author_id": "string", "agent_id": "string", "source_app": "string", "reason": "string", "properties": {}, "created_at": null, "updated_at": null, "direction": "string"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}